TLM-2.0: tlm_utils::multi_init_base< BUSWIDTH, TYPES, N, POL > Class Template Reference

# tlm_utils::multi_init_base< BUSWIDTH, TYPES, N, POL > Class Template Reference

`#include <multi_socket_bases.h>`

Inheritance diagram for tlm_utils::multi_init_base< BUSWIDTH, TYPES, N, POL >:

[legend]
Collaboration diagram for tlm_utils::multi_init_base< BUSWIDTH, TYPES, N, POL >:

[legend]

List of all members.

## Public Types
typedef tlm::tlm_initiator_socket < BUSWIDTH, TYPES, N,POL > | base_type
## Public Member Functions
virtual void | disable_cb_bind ()=0
virtual multi_init_base * | get_hierarch_bind ()=0
virtual std::vector < callback_binder_bw< TYPES > * > & | get_binders ()=0
virtual std::vector < tlm::tlm_fw_transport_if < TYPES > * > & | get_sockets ()=0
virtual | ~multi_init_base ()
| multi_init_base ()
| multi_init_base (const char *name)

## Detailed Description

### template<unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types, unsigned int N = 0, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>
class tlm_utils::multi_init_base< BUSWIDTH, TYPES, N, POL >

Definition at line 314 of file multi_socket_bases.h.

## Member Typedef Documentation

template<unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types, unsigned int N = 0, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

typedef tlm::tlm_initiator_socket<BUSWIDTH, TYPES, N ,POL > tlm_utils::multi_init_base< BUSWIDTH, TYPES, N, POL >::base_type

Reimplemented from tlm::tlm_base_initiator_socket< BUSWIDTH, tlm_fw_transport_if< TYPES >, tlm_bw_transport_if< TYPES >, N,POL >.

Reimplemented in tlm_utils::multi_passthrough_initiator_socket< MODULE, BUSWIDTH, TYPES, N, POL >.

Definition at line 329 of file multi_socket_bases.h.

## Constructor & Destructor Documentation

template<unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types, unsigned int N = 0, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

virtual tlm_utils::multi_init_base< BUSWIDTH, TYPES, N, POL >::~multi_init_base | ( |  | ) | `[inline, virtual]`

Definition at line 347 of file multi_socket_bases.h.

template<unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types, unsigned int N = 0, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

tlm_utils::multi_init_base< BUSWIDTH, TYPES, N, POL >::multi_init_base | ( |  | ) | `[inline]`

Definition at line 348 of file multi_socket_bases.h.

template<unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types, unsigned int N = 0, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

tlm_utils::multi_init_base< BUSWIDTH, TYPES, N, POL >::multi_init_base | ( | const char * | name | ) | `[inline]`

Definition at line 349 of file multi_socket_bases.h.

## Member Function Documentation

template<unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types, unsigned int N = 0, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

virtual void tlm_utils::multi_init_base< BUSWIDTH, TYPES, N, POL >::disable_cb_bind | ( |  | ) | `[pure virtual]`

Implemented in tlm_utils::multi_passthrough_initiator_socket< MODULE, BUSWIDTH, TYPES, N, POL >.

template<unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types, unsigned int N = 0, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

virtual std::vector<callback_binder_bw<TYPES>* >& tlm_utils::multi_init_base< BUSWIDTH, TYPES, N, POL >::get_binders | ( |  | ) | `[pure virtual]`

Implemented in tlm_utils::multi_passthrough_initiator_socket< MODULE, BUSWIDTH, TYPES, N, POL >.

template<unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types, unsigned int N = 0, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

virtual multi_init_base* tlm_utils::multi_init_base< BUSWIDTH, TYPES, N, POL >::get_hierarch_bind | ( |  | ) | `[pure virtual]`

Implemented in tlm_utils::multi_passthrough_initiator_socket< MODULE, BUSWIDTH, TYPES, N, POL >.

template<unsigned int BUSWIDTH = 32, typename TYPES = tlm::tlm_base_protocol_types, unsigned int N = 0, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

virtual std::vector<tlm::tlm_fw_transport_if<TYPES>*>& tlm_utils::multi_init_base< BUSWIDTH, TYPES, N, POL >::get_sockets | ( |  | ) | `[pure virtual]`

Implemented in tlm_utils::multi_passthrough_initiator_socket< MODULE, BUSWIDTH, TYPES, N, POL >.

The documentation for this class was generated from the following file:

- include/tlm/tlm_utils/multi_socket_bases.h